Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class OwnedMetaClass

- org.codehaus.groovy.runtime.metaclass.OwnedMetaClass

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DelegatingMetaClass` | `delegate`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `attribute`
    `Object` | `attribute`
    `Object` | `attribute`
    `Object` | `property`
    `Object` | `property`
    `Object` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `OwnedMetaClass (MetaClass delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(Object obj)`
    `` | `Object` | `getAttribute(Object object, String attribute)`
    `` | `Object` | `getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)`
    `` | `ClassNode` | `getClassNode()`
    `` | `MetaMethod` | `getMetaMethod(String name, Object[] args)`
    `` | `MetaMethod` | `getMetaMethod(String name, Class[] argTypes)`
    `` | `List<MetaMethod>` | `getMetaMethods()`
    `` | `MetaProperty` | `getMetaProperty(String name)`
    `` | `List<MetaMethod>` | `getMethods()`
    `` | `protected Object` | `getOwner()`
    `` | `protected MetaClass` | `getOwnerMetaClass(Object owner)`
    `` | `List<MetaProperty>` | `getProperties()`
    `` | `Object` | `getProperty(Object object, String property)`
    `` | `Object` | `getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)`
    `` | `MetaMethod` | `getStaticMetaMethod(String name, Object[] args)`
    `` | `MetaMethod` | `getStaticMetaMethod(String name, Class[] argTypes)`
    `` | `Class` | `getTheClass()`
    `` | `MetaProperty` | `hasProperty(Object obj, String name)`
    `` | `int` | `hashCode()`
    `` | `Object` | `invokeConstructor(Object[] arguments)`
    `` | `Object` | `invokeMethod(Object object, String methodName, Object arguments)`
    `` | `Object` | `invokeMethod(Object object, String methodName, Object[] arguments)`
    `` | `Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`
    `` | `Object` | `invokeMissingMethod(Object instance, String methodName, Object[] arguments)`
    `` | `Object` | `invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)`
    `` | `Object` | `invokeStaticMethod(Object object, String methodName, Object[] arguments)`
    `` | `boolean` | `isGroovyObject()`
    `` | `List<MetaMethod>` | `respondsTo(Object obj, String name, Object[] argTypes)`
    `` | `List<MetaMethod>` | `respondsTo(Object obj, String name)`
    `` | `int` | `selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)`
    `` | `void` | `setAttribute(Object object, String attribute, Object newValue)`
    `` | `void` | `setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
    `` | `void` | `setProperty(Object object, String property, Object newValue)`
    `` | `void` | `setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DelegatingMetaClass` | `addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString`

- - ### Property Detail

    - #### Object attribute

    - #### Object property

  - ### Constructor Detail

    - #### public OwnedMetaClass(MetaClass delegate)

  - ### Method Detail

    - #### public boolean equals(Object obj)

    - #### public Object getAttribute(Object object, String attribute)

    - #### public Object getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)

    - #### public ClassNode getClassNode()

    - #### public MetaMethod getMetaMethod(String name, Object[] args)

    - #### public MetaMethod getMetaMethod(String name, Class[] argTypes)

    - #### public List<MetaMethod> getMetaMethods()

    - #### public MetaProperty getMetaProperty(String name)

    - #### @Override public List<MetaMethod> getMethods()

    - #### protected Object getOwner()

    - #### protected MetaClass getOwnerMetaClass(Object owner)

    - #### public List<MetaProperty> getProperties()

    - #### public Object getProperty(Object object, String property)

    - #### public Object getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)

    - #### public MetaMethod getStaticMetaMethod(String name, Object[] args)

    - #### public MetaMethod getStaticMetaMethod(String name, Class[] argTypes)

    - #### public Class getTheClass()

    - #### public MetaProperty hasProperty(Object obj, String name)

    - #### public int hashCode()

    - #### public Object invokeConstructor(Object[] arguments)

    - #### public Object invokeMethod(Object object, String methodName, Object arguments)

    - #### public Object invokeMethod(Object object, String methodName, Object[] arguments)

    - #### public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)

    - #### public Object invokeMissingMethod(Object instance, String methodName, Object[] arguments)

    - #### public Object invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)

    - #### public Object invokeStaticMethod(Object object, String methodName, Object[] arguments)

    - #### public boolean isGroovyObject()

    - #### public List<MetaMethod> respondsTo(Object obj, String name, Object[] argTypes)

    - #### public List<MetaMethod> respondsTo(Object obj, String name)

    - #### public int selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)

    - #### public void setAttribute(Object object, String attribute, Object newValue)

    - #### public void setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

    - #### public void setProperty(Object object, String property, Object newValue)

    - #### public void setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

    - #### public String toString()